Package org.apache.catalina.tribes.membership.cloud

## Interface StreamProvider

- All Known Implementing Classes:
    `AbstractStreamProvider`, `CertificateStreamProvider`, `InsecureStreamProvider`, `TokenStreamProvider`

      public interface StreamProvider

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.InputStream` | `openStream​(java.lang.String url, java.util.Map<java.lang.String,​java.lang.String> headers, int connectTimeout, int readTimeout)` | Open stream to the specified URL.

- - ### Method Detail

    - #### openStream

          java.io.InputStream openStream​(java.lang.String url,
                                         java.util.Map<java.lang.String,​java.lang.String> headers,
                                         int connectTimeout,
                                         int readTimeout)
                                  throws java.io.IOException

      Open stream to the specified URL.
      Parameters:
        `url` - the url
        `headers` - the headers map
        `connectTimeout` - connection timeout in ms
        `readTimeout` - read timeout in ms
      Returns:
        the stream
      Throws:
        `java.io.IOException` - when an error occurs